Subject: 24.3.91; numpad inserts wrong digits

From: Josh Tilles <[email-masked]>
Date: Fri, 23 May 2014 14:14:39 -0400

Basically, *I* believe that I'm typing “1234” but Emacs inserts “7895”
into the buffer. This was not the case in Emacs 24.3; typing “1234”
results in “1234”.

I used the OS X application [Key
Codes](http://manytricks.com/keycodes/) to show more detail about the
actual keys I'm pressing:

Key Down
Characters: 1
Unicode: 49 / 0x31
Keys: #7
Key Code: 89 / 0x59
Modifiers: 2097408 / 0x200100

Key Down
Characters: 2
Unicode: 50 / 0x32
Keys: #8
Key Code: 91 / 0x5b
Modifiers: 2097408 / 0x200100

Key Down
Characters: 3
Unicode: 51 / 0x33
Keys: #9
Key Code: 92 / 0x5c
Modifiers: 2097408 / 0x200100

Key Down
Characters: 4
Unicode: 52 / 0x34
Keys: #4
Key Code: 86 / 0x56
Modifiers: 2097408 / 0x200100

In GNU Emacs 24.3.91.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2014-05-12 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1265
Configured using:
 `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
 --with-ns'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down-mouse-1> <mouse-1> C-x b <return> 1 2 3 <return>
1 2 3 <return> <kp-7> <kp-8> <kp-9> <return> <down-mouse-1>
<mouse-1> C-h k <kp-7> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-1> C-h k C-h l <kp-7> <kp-8> <kp-9> <kp-4> <kp-5>
<kp-6> <kp-1> <kp-2> <kp-3> C-h l <down-mouse-1> <mouse-1>
M-x * b u g * <tab> <tab> <backspace> <backspace> <backspace>
<backspace> r e p o r t - e m a c s - b u g <retur
n>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Type C-x 1 to delete the help window.
 [2 times]
Making completion list...
call-interactively: End of buffer

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-fns help-mode easymenu time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 73608 6684)
 (symbols 48 17266 0)
 (miscs 40 100 270)
 (strings 32 10039 3632)
 (string-bytes 1 272468)
 (vectors 16 8928)
 (vector-slots 8 361323 14353)
 (floats 8 56 604)
 (intervals 56 316 25)
 (buffers 960 14))